summaryrefslogtreecommitdiff
path: root/round-robin-bisect.sh
diff options
context:
space:
mode:
Diffstat (limited to 'round-robin-bisect.sh')
-rwxr-xr-xround-robin-bisect.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/round-robin-bisect.sh b/round-robin-bisect.sh
index f08e9a77..6a8dc817 100755
--- a/round-robin-bisect.sh
+++ b/round-robin-bisect.sh
@@ -220,6 +220,13 @@ cat <<EOF | manifest_out
declare -g bad_rev=$bad_rev
EOF
+if [ x"$baseline_rev" = x"$bad_rev" ]; then
+ echo "WARNING: Detected regression with no change in sources of $current_project"
+ sed -i -e "s/\$/-no_change/" $artifacts/jenkins/build-name
+ trap "" EXIT
+ exit 1
+fi
+
# Confirm regression in $bad_rev vs $baseline_rev.
git checkout --detach $bad_rev
$artifacts/test.sh &